Dashboard

EPS chart

GET/api/earnings/chart/eps

Free Starter Stock ETF Pro

Chart-ready EPS and net income data over time. Use series for absolute values (EPS, Net Income) and rates for margin ratios (Net Margin). Periods are sorted ascending for direct charting.

Get API key Try it live in the API explorer

Query parameters

Example request

curl 'https://api.stockfit.io/v1/api/earnings/chart/eps?symbol=AAPL&cik=320193&cusip=037833100&composite_figi=BBG000B9XRY4&share_class_figi=BBG001S5N8V8&currency=USD' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'

Responses

200 OK

Series-oriented chart data with periods sorted ascending

Response schema

  • periods array of string

    Fiscal period end dates sorted ascending

  • series array of object

    Absolute value series: EPS (Diluted) and Net Income. Each entry has a `name` and a `data` array parallel to `periods`.

    array of:
    • name string
    • data array of number | null
  • rates array of object

    Margin ratio series (Net Margin) expressed as decimals.

    array of:
    • name string
    • data array of number | null

Example response

{
  "periods": [
    "2021-09-25",
    "2022-09-24",
    "2023-09-30",
    "2024-09-28"
  ],
  "series": [
    {
      "name": "EPS (Diluted)",
      "data": [
        5.61,
        6.11,
        6.13,
        6.04
      ]
    }
  ],
  "rates": [
    {
      "name": "Net Margin",
      "data": [
        0.2588,
        0.2531,
        0.2619,
        0.2397
      ]
    }
  ]
}

400 Bad Request

Invalid parameters or symbol not found

Response schema

  • error string

    Human-readable error message

Example response

{}

403 Forbidden

Feature not available on current plan

Response schema

  • error string

    Human-readable error message

Example response

{}